> ## Documentation Index
> Fetch the complete documentation index at: https://docs.uselemma.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Trigger RCA analysis

> Starts the root-cause analysis workflow for an incident. The analysis and incident rows must already exist.



## OpenAPI

````yaml https://api.uselemma.ai/openapi.json post /rca/analyze
openapi: 3.1.0
info:
  title: Lemma Platform API
  description: Lemma Platform HTTP API for AI observability and workspace operations.
  version: 0.1.0
servers: []
security:
  - bearerAuth: []
paths:
  /rca/analyze:
    post:
      tags:
        - RCA
      summary: Trigger RCA analysis
      description: >-
        Starts the root-cause analysis workflow for an incident. The analysis
        and incident rows must already exist.
      operationId: trigger_rca_analysis
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - incident_id
                - monitor_id
                - project_id
                - rca_analysis_id
              properties:
                incident_id:
                  type: string
                  format: uuid
                monitor_id:
                  type: string
                  format: uuid
                project_id:
                  type: string
                  format: uuid
                rca_analysis_id:
                  type: string
                  format: uuid
              additionalProperties: false
      responses:
        '200':
          description: Workflow started
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                type: object
                properties:
                  detail:
                    type: string
                required:
                  - detail
                additionalProperties: false
        '404':
          description: Not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  detail:
                    type: string
                required:
                  - detail
                additionalProperties: false
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````